## org.apache.axis.features
Interface FeatureEnabled

public interface FeatureEnabled

A "feature" is a collection of behaviors such as reliable delivery, WS-Security support, etc that may be enabled or disabled. Enabling a feature may involve adding handlers to chain, setting properties, etc. The point is to make it easier to enable/disable complex behaviors

Author:
  James M Snell (jasnell@us.ibm.com)

Method Summary
`void` `disableFeature(java.lang.String featureId)`
`void` `enableFeature(java.lang.String featureId)`
`java.lang.String[]` `getSupportedFeatures()`
`boolean` `isFeatureEnabled(java.lang.String featureId)`

Method Detail

### enableFeature

    public void enableFeature(java.lang.String featureId)
                       throws AxisFault

  Throws:
    `AxisFault`

### disableFeature

    public void disableFeature(java.lang.String featureId)
                        throws AxisFault

  Throws:
    `AxisFault`

### isFeatureEnabled

    public boolean isFeatureEnabled(java.lang.String featureId)
                             throws AxisFault

  Returns:
    boolean
  Throws:
    `AxisFault`

### getSupportedFeatures

    public java.lang.String[] getSupportedFeatures()
                                            throws AxisFault

  Returns:
    String[]
  Throws:
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.